For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
      • GETGet character usage metrics
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceUsage

Get character usage metrics

Deprecated
GET
/v1/usage/character-stats
GET
/v1/usage/character-stats
$curl -G https://api.elevenlabs.io/v1/usage/character-stats \
> -d start_unix=1685574000 \
> -d end_unix=1688165999
1{
2 "time": [
3 1738252091000,
4 1739404800000
5 ],
6 "usage": {
7 "All": [
8 49,
9 1053
10 ]
11 }
12}
(Deprecated) This endpoint is deprecated. Use /v1/workspace/analytics/query/usage-by-product-over-time instead, which exposes the bucket size as `interval_seconds` (an integer in seconds) rather than `aggregation_interval`. Returns the usage metrics for the current user or the entire workspace they are part of. The response provides a time axis based on the specified aggregation interval (default: day), with usage values for each interval along that axis. Usage is broken down by the selected breakdown type. For example, breakdown type "voice" will return the usage of each voice for each interval along the time axis.
Was this page helpful?
Previous

Get user

Next
Built with

(Deprecated) This endpoint is deprecated. Use /v1/workspace/analytics/query/usage-by-product-over-time instead, which exposes the bucket size as interval_seconds (an integer in seconds) rather than aggregation_interval. Returns the usage metrics for the current user or the entire workspace they are part of. The response provides a time axis based on the specified aggregation interval (default: day), with usage values for each interval along that axis. Usage is broken down by the selected breakdown type. For example, breakdown type “voice” will return the usage of each voice for each interval along the time axis.

Headers

xi-api-keystringOptional

Query parameters

start_unixintegerRequired

UTC Unix timestamp for the start of the usage window, in milliseconds. To include the first day of the window, the timestamp should be at 00:00:00 of that day.

end_unixintegerRequired

UTC Unix timestamp for the end of the usage window, in milliseconds. To include the last day of the window, the timestamp should be at 23:59:59 of that day.

include_workspace_metricsbooleanOptionalDefaults to false
Whether or not to include the statistics of the entire workspace.
breakdown_typeenumOptional

How to break down the information. Cannot be “user” if include_workspace_metrics is False.

aggregation_intervalenumOptional
How to aggregate usage data over time. Can be "hour", "day", "week", "month", or "cumulative".
Allowed values:
aggregation_bucket_sizeinteger or nullOptional
Aggregation bucket size in seconds. Overrides the aggregation interval.
metricenumOptional
Which metric to aggregate.

Response

Successful Response
timelist of integers
The time axis with unix timestamps for each day.
usagemap from strings to lists of doubles
The usage of each breakdown type along the time axis.

Errors

422
Unprocessable Entity Error